Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.mail
Class ConfigureMailServer

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.mail.ConfigureMailServer

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureMailServer

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureMailServer()`

Method Summary
`String` | `doAdd()`
`String` | `doDefault()`
`String` | `doEdit()`
`String` | `doSave()`
`BambooMailer` | `getBambooMailer()`
`protected SMTPMailServer` | `getDefaultSmtpMailServer()`
`String` | `getFrom()`
`String` | `getHostName()`
`String` | `getJndiName()`
`String` | `getName()`
`String` | `getPassword()`
`String` | `getPasswordChange()`
`String` | `getPrefix()`
`String` | `getSendTest()`
`SMTPMailServer` | `getSmtpMailServer()`
`String` | `getTestRecipient()`
`String` | `getUserName()`
`void` | `setBambooMailer(BambooMailer bambooMailer)`
`void` | `setFrom(String from)`
`void` | `setHostName(String hostName)`
`void` | `setJndiName(String jndiName)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPasswordChange(String passwordChange)`
`void` | `setPrefix(String prefix)`
`void` | `setSendTest(String sendTest)`
`void` | `setTestRecipient(String testRecipient)`
`void` | `setUserName(String userName)`
`String` | `testSMTPServer(SMTPMailServer testSmtpMailServer)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureMailServer

    public ConfigureMailServer()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### doAdd

    public String doAdd()
                 throws Exception

  Throws:
    `Exception`

### doEdit

    public String doEdit()
                  throws Exception

  Throws:
    `Exception`

### testSMTPServer

    public String testSMTPServer(SMTPMailServer testSmtpMailServer)
                          throws Exception

  Throws:
    `Exception`

### doSave

    public String doSave()
                  throws Exception

  Throws:
    `Exception`

### getDefaultSmtpMailServer

    protected SMTPMailServer getDefaultSmtpMailServer()

### getName

    public String getName()

### setName

    public void setName(String name)

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getPrefix

    public String getPrefix()

### setPrefix

    public void setPrefix(String prefix)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String userName)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getHostName

    public String getHostName()

### setHostName

    public void setHostName(String hostName)

### getJndiName

    public String getJndiName()

### setJndiName

    public void setJndiName(String jndiName)

### getPasswordChange

    public String getPasswordChange()

### setPasswordChange

    public void setPasswordChange(String passwordChange)

### getSendTest

    public String getSendTest()

### setSendTest

    public void setSendTest(String sendTest)

### getTestRecipient

    public String getTestRecipient()

### setTestRecipient

    public void setTestRecipient(String testRecipient)

### getBambooMailer

    public BambooMailer getBambooMailer()

### setBambooMailer

    public void setBambooMailer(BambooMailer bambooMailer)

### getSmtpMailServer

    public SMTPMailServer getSmtpMailServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.